Show / Hide Table of Contents

# Class OpenIddictServerHandlers.ValidateExpirationDate

Contains the logic responsible of rejecting authentication demands that use an expired token.

##### Inheritance

System.Object
OpenIddictServerHandlers.ValidateExpirationDate

##### Implements

IOpenIddictServerHandler<OpenIddictValidationEvents.ProcessAuthenticationContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateExpirationDate : IOpenIddictServerHandler<OpenIddictValidationEvents.ProcessAuthenticationContext>

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(OpenIddictValidationEvents.ProcessAuthenticationContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(OpenIddictValidationEvents.ProcessAuthenticationContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationEvents.ProcessAuthenticationContext | context |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.ValueTask | A System.Threading.Tasks.ValueTask that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>